Subject: bug#4534: assertion failure at window.c:grow_mini_window

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Sep 2009 11:35:43 +0300

> From: Juanma Barranquero <[email-masked]>
> Date: Thu, 24 Sep 2009 14:58:07 +0200
> Cc: [email-masked]
> 
> > Now if I replace the check
> >
> >              if (height)
> >
> > by
> >
> >              if (height > WINDOW_TOTAL_LINES (w))
> >
> > I should be able to avoid the delta = -1 assertion failure in
> > grow_mini_window.  Can you confirm my reasoning so far?
> 
> It's correct. Except that, as shrink_mini_window didn't shrink the
> window, it remains at 6 lines.

Does this code cause an immediate redisplay?  I think it doesn't,
which means shrink_mini_window does not actually shrink the window, it
just prepares the glyph matrices for that.  The next redisplay will
actually change how things are shown on the screen.